
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bitprice/version"

Gem::Specification.new do |spec|
  spec.name          = "bitprice"
  spec.version       = Bitprice::VERSION
  spec.authors       = ["'Micah Ortega'"]
  spec.email         = ["'codingsynapse@gmail.com'"]
  spec.files         = ["lib/bitprice.rb"]
  spec.summary       = "Collects Top 100 data about your favorite cryptocurrencies!"
  spec.description   = "Detailed market information instantly about your top 100 Cryptocurrencies! Find instant data on Bitcoin / Etherium / Litecoin / Ripple / Monero / Dash / and many more! Simply, require and call Bit.price !"
  spec.homepage      = "http://codingsynapse.com/"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'rspec', '~> 0'
  spec.add_development_dependency 'pry', '~> 0'
  spec.add_development_dependency 'colorize', '~> 0'

  spec.add_dependency "nokogiri"

end
